Bug 1378538 - QEMU: update package summary and description
Summary: QEMU: update package summary and description
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Danilo Cesar de Paula
QA Contact: Chao Yang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1378541
TreeView+ depends on / blocked
 
Reported: 2016-09-22 16:55 UTC by Ademar Reis
Modified: 2017-08-02 03:32 UTC (History)
7 users (show)

(edit)
Clone Of:
: 1378541 (view as bug list)
(edit)
Last Closed: 2017-08-01 23:37:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Ademar Reis 2016-09-22 16:55:32 UTC
From the spec file:

"""
Summary: QEMU is a FAST! processor emulator

%description
qemu-kvm is an open source virtualizer that provides hardware emulation for
the KVM hypervisor. qemu-kvm acts as a virtual machine monitor together with
the KVM kernel modules, and emulates the hardware for a full system such as
a PC and its assocated peripherals.

As qemu-kvm requires no host kernel patches to run, it is safe and easy to use.
"""

These are outdated (especially the summary). I suggest the following:

"""
Summary: QEMU is a generic and open source machine emulator and virtualizer.

%description
QEMU is an open source virtualizer that provides hardware emulation for
the KVM hypervisor. QEMU acts as a virtual machine monitor together with
the KVM kernel modules, and emulates the hardware for a full system such as
a PC and its assocated peripherals.
"""

Comment 2 Jeff Nelson 2016-09-28 03:20:04 UTC
You're right, it is old. I propose we use the description from Fedora, which is:

Summary: QEMU is a FAST! processor emulator

%description
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation. QEMU has two operating modes:

 * Full system emulation. In this mode, QEMU emulates a full system (for
   example a PC), including a processor and various peripherials. It can be
   used to launch different Operating Systems without rebooting the PC or
   to debug system code.
 * User mode emulation. In this mode, QEMU can launch Linux processes compiled
   for one CPU on another CPU.

As QEMU requires no host kernel patches to run, it is safe and easy to use.

Comment 3 Ademar Reis 2016-09-28 13:00:42 UTC
(In reply to Jeff Nelson from comment #2)
> You're right, it is old. I propose we use the description from Fedora, which
> is:
> 
> Summary: QEMU is a FAST! processor emulator
> 
> %description
> QEMU is a generic and open source processor emulator which achieves a good
> emulation speed by using dynamic translation. QEMU has two operating modes:
> 
>  * Full system emulation. In this mode, QEMU emulates a full system (for
>    example a PC), including a processor and various peripherials. It can be
>    used to launch different Operating Systems without rebooting the PC or
>    to debug system code.
>  * User mode emulation. In this mode, QEMU can launch Linux processes
> compiled
>    for one CPU on another CPU.
> 
> As QEMU requires no host kernel patches to run, it is safe and easy to use.

You pasted the RHEL description here. :-)

from rpm -qi qemu-system-x86

"""
Source RPM  : qemu-2.7.0-2.fc24.src.rpm
Summary     : QEMU system emulator for x86
Description :
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for x86. When being run in a x86
machine that supports it, this package also provides the KVM virtualization
platform.
"""

Comment 4 Danilo Cesar de Paula 2016-11-03 16:26:54 UTC
bike-shedding: Shouldn't we sync with Fedora's summary and description?

Summary: QEMU system emulator for x86
...
%description
QEMU is a generic and open source processor emulator which achieves a good
emulation speed by using dynamic translation.

This package provides the system emulator for x86. When being run in a x86
machine that supports it, this package also provides the KVM virtualization
platform.

Comment 5 Ademar Reis 2016-11-03 17:01:29 UTC
(In reply to Danilo Cesar de Paula from comment #4)
> bike-shedding: Shouldn't we sync with Fedora's summary and description?
> 
> Summary: QEMU system emulator for x86
> ...
> %description
> QEMU is a generic and open source processor emulator which achieves a good
> emulation speed by using dynamic translation.
> 
> This package provides the system emulator for x86. When being run in a x86
> machine that supports it, this package also provides the KVM virtualization
> platform.

The layout of QEMU packages in RHEL and Fedora is different (architectures, meta-packages, etc). So you can't keep them in sync.

Comment 6 Danilo Cesar de Paula 2016-11-10 13:50:53 UTC
Ok, so I'm using the first option that Ademar mentioned with a small modification:

Jeff suggested to keep using qemu-kvm in the package description as the QEMU is the upstream name and qemu-kvm is the name for the downstream package.

He also mentioned to use qemu-kvm-rhev for the packag in rhev. So:

===========
Summary: QEMU is a generic and open source machine emulator and virtualizer.

%description:
qemu-kvm%{?pkgsuffix} is an open source virtualizer that provides hardware emulation for the KVM hypervisor. 

QEMU acts as a virtual machine monitor together with the KVM kernel modules, and emulates the hardware for a full system such as
a PC and its assocated peripherals.
============

Comment 7 Danilo Cesar de Paula 2016-11-14 11:36:34 UTC
Markus suggested to stick with QEMU or qemu-kvm due first suggestion makes a change from qemu-kvm to QEMU. So I'm reverting this and using qemu-kvm%{?pkgsuffix} instead.

Comment 8 Danilo Cesar de Paula 2017-01-31 12:40:54 UTC
Patch was posted today.

Comment 9 Miroslav Rezanina 2017-02-03 09:07:46 UTC
Fix included in qemu-kvm-rhev-2.8.0-3.el7

Comment 11 Chao Yang 2017-05-18 09:19:17 UTC
Check the differences in both Summary and Description fields to verify this bug, the visible change is in Summary field. 

See:

# rpm -qip qemu-kvm-rhev-2.6.0-27.el7/qemu-kvm-rhev-2.6.0-27.el7.x86_64.rpm 
Name        : qemu-kvm-rhev
Epoch       : 10
Version     : 2.6.0
Release     : 27.el7
Architecture: x86_64
Install Date: (not installed)
Group       : Development/Tools
Size        : 10051817
License     : GPLv2+ and LGPLv2+ and BSD
Signature   : (none)
Source RPM  : qemu-kvm-rhev-2.6.0-27.el7.src.rpm
Build Date  : Fri 23 Sep 2016 09:36:32 PM CST
Build Host  : x86-034.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : http://www.qemu.org/
Summary     : QEMU is a FAST! processor emulator
Description :
qemu-kvm is an open source virtualizer that provides hardware emulation for
the KVM hypervisor. qemu-kvm acts as a virtual machine monitor together with
the KVM kernel modules, and emulates the hardware for a full system such as
a PC and its assocated peripherals.



# rpm -qip qemu-kvm-rhev-2.9.0-5.el7/qemu-kvm-rhev-2.9.0-5.el7.x86_64.rpm 
Name        : qemu-kvm-rhev
Epoch       : 10
Version     : 2.9.0
Release     : 5.el7
Architecture: x86_64
Install Date: (not installed)
Group       : Development/Tools
Size        : 11773380
License     : GPLv2+ and LGPLv2+ and BSD
Signature   : (none)
Source RPM  : qemu-kvm-rhev-2.9.0-5.el7.src.rpm
Build Date  : Tue 16 May 2017 08:51:39 PM CST
Build Host  : x86-017.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : http://www.qemu.org/
Summary     : QEMU is a machine emulator and virtualizer
Description :
qemu-kvm-rhev is an open source virtualizer that provides hardware
emulation for the KVM hypervisor. qemu-kvm-rhev acts as a virtual
machine monitor together with the KVM kernel modules, and emulates the
hardware for a full system such as a PC and its associated peripherals.



Setting VERIFIED per above.

Comment 13 errata-xmlrpc 2017-08-01 23:37:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 14 errata-xmlrpc 2017-08-02 01:14:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 15 errata-xmlrpc 2017-08-02 02:06:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 16 errata-xmlrpc 2017-08-02 02:47:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 17 errata-xmlrpc 2017-08-02 03:12:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 18 errata-xmlrpc 2017-08-02 03:32:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.